<< validate_filter_bands | FOSSEE_Signal_Processing_Toolbox | vco >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > var

# var

Estimate the variance of the values in X

### Syntax

    v = var(x)
    v = var(x, w)
    v = var(x, w, dim)

### Parameters

x:

  Input data array.

w:

  weight vector W of length X, or may take the value of 0 and 1. The default value is 0. Consider only non-negative values.

dim:

  consider the variance along the dimension of X. 1 for clumun wise variamce and 2 for row wise variance.

y:

  returns the variance of the values in X.

### Description

This function calculates the variance of the input data array `x`.

### Examples

    x=[1.2, 5, 10, -20, 12,10,5,20,32,20]
    w=1:10
    dim=2
    y=var(x, w, dim)

Report an issue
<< validate_filter_bands | FOSSEE_Signal_Processing_Toolbox | vco >>